<?php
/**
 * Grid controls
 *
 * @package   WP Grid Builder - Oxygen
 * @author    Loïc Blascos
 * @copyright 2019-2021 Loïc Blascos
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$this->addOptionControl(
	[
		'type'    => 'dropdown',
		'name'    => __( 'Select a grid', 'wpgb-oxygen' ),
		'slug'    => 'grid',
		'default' => '',
		'value'   => [ '' => '&nbsp;' ] + $this->get_grids(),
	]
);

$this->addOptionControl(
	[
		'type'    => 'checkbox',
		'name'    => __( 'Archive Template', 'wpgb-oxygen' ),
		'slug'    => 'is_main_query',
		'default' => false,
	]
);
